Package com.smartgwt.client.browser.window

# Class MultiWindowSettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.browser.window.MultiWindowSettings

All Implemented Interfaces:
  `HasHandlers`

public class MultiWindowSettings extends DataClass
Allows specifying settings to apply to the `MultiWindow` of a child window.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiWindowSettings()`
  `MultiWindowSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getAutoCopyDataSources()`
  Should `DataSources` from other OpenFin windows with Smart GWT loaded be copied by reference into this window? Such DataSources will be copied: when a page in another window is loaded (potentially several DataSources at once) at the moment DataSources are created in a page loaded in another window (just that DataSource)
  `static MultiWindowSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShareMessageChannels()`
  Should this window share `Realtime Messaging` channels with other windows?
  `MultiWindowSettings`
  `setAutoCopyDataSources(Boolean autoCopyDataSources)`
  Should `DataSources` from other OpenFin windows with Smart GWT loaded be copied by reference into this window? Such DataSources will be copied: when a page in another window is loaded (potentially several DataSources at once) at the moment DataSources are created in a page loaded in another window (just that DataSource)
  `MultiWindowSettings`
  `setShareMessageChannels(Boolean shareMessageChannels)`
  Should this window share `Realtime Messaging` channels with other windows?

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiWindowSettings

    public MultiWindowSettings()

  - ### MultiWindowSettings

    public MultiWindowSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static MultiWindowSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setAutoCopyDataSources

    public MultiWindowSettings setAutoCopyDataSources(Boolean autoCopyDataSources)
    Should `DataSources` from other OpenFin windows with Smart GWT loaded be copied by reference into this window? Such DataSources will be copied:
    - when a page in another window is loaded (potentially several DataSources at once)
    - at the moment DataSources are created in a page loaded in another window (just that DataSource)

    This property will default to true if OpenFin is present; otherwise, false.

    Note that reloading a page that created DataSources copied by reference into other windows (via this property) is not supported.

    Parameters:
      `autoCopyDataSources` - New autoCopyDataSources value. Default value is varies
    Returns:
      `MultiWindowSettings` instance, for chaining setter calls

  - ### getAutoCopyDataSources

    public Boolean getAutoCopyDataSources()
    Should `DataSources` from other OpenFin windows with Smart GWT loaded be copied by reference into this window? Such DataSources will be copied:
    - when a page in another window is loaded (potentially several DataSources at once)
    - at the moment DataSources are created in a page loaded in another window (just that DataSource)

    This property will default to true if OpenFin is present; otherwise, false.

    Note that reloading a page that created DataSources copied by reference into other windows (via this property) is not supported.

    Returns:
      Current autoCopyDataSources value. Default value is varies

  - ### setShareMessageChannels

    public MultiWindowSettings setShareMessageChannels(Boolean shareMessageChannels)
    Should this window share `Realtime Messaging` channels with other windows?

    This property will default to true if OpenFin is present; otherwise, false.

    Parameters:
      `shareMessageChannels` - New shareMessageChannels value. Default value is varies
    Returns:
      `MultiWindowSettings` instance, for chaining setter calls

  - ### getShareMessageChannels

    public Boolean getShareMessageChannels()
    Should this window share `Realtime Messaging` channels with other windows?

    This property will default to true if OpenFin is present; otherwise, false.

    Returns:
      Current shareMessageChannels value. Default value is varies